<xml></xml>

Saxon API for .NET |

# XQueryEvaluator.Run Method

Evaluate the query, sending the result to a specified destination.

public void Run(
XmlDestination destination
);

#### Parameters

destination
  The destination for the results of the query. The class `XmlDestination` is an abstraction that allows a number of different kinds of destination to be specified.

#### Exceptions

Exception Type | Condition
--- | ---
DynamicError | Throws a DynamicError if any run-time failure occurs while evaluating the expression.

#### See Also

XQueryEvaluator Class | Saxon.Api Namespace